%global pypi_name sphinx-gallery
%global common_desc \
A Sphinx extension that builds an HTML version of any Python script and puts \
it into an examples gallery.  A demo of a gallery generated by Sphinx-Gallery

Name:           python-%{pypi_name}
Version:        0.6.2
Release:        1%{?dist}
Summary:        A Sphinx extension builds an HTML version of any python scripts
License:        BSD
URL:            https://sphinx-gallery.github.io/
Source0:        %{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-sphinx

%description %common_desc

%package -n python3-%{pypi_name}
Summary:    %{summary}
Requires:   python3-sphinx
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %common_desc

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

# %check
# py.test-3 ||

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst *examples tutorials
%{python3_sitelib}/*
%{_bindir}/*

%changelog
* Wed May  6 2020 Satoru SATOH <satoru.satoh@gmail.com> - 0.6.2-1
- Initial package.
